Package: grails.artefact.controller.support

## [Groovy] Trait RequestForwarder

- grails.artefact.controller.support.RequestForwarder

- All Implemented Interfaces and Traits:
    WebAttributes

      @groovy.transform.CompileStatic
      trait RequestForwarder

  A Trait for classes that forward the request

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `forward(java.util.Map params)` Forwards a request for the given parameters using the RequestDispatchers forward method
    `` | `void` | `setUrlConverter(UrlConverter urlConverter)`

- - ### Method Detail

    - #### java.lang.String forward(java.util.Map params)

      Forwards a request for the given parameters using the RequestDispatchers forward method

      Parameters:
        `params` - The parameters
      Returns:
        The forwarded URL

    - #### @org.springframework.beans.factory.annotation.Autowired(required=false) void setUrlConverter(UrlConverter urlConverter)